# FoundationClasses
TKMath
gp

# gp Class Reference

The geometric processor package, called gp, provides an
implementation of entities used :
. for algebraic calculation such as "XYZ" coordinates, "Mat"
matrix
. for basis analytic geometry such as Transformations, point,
vector, line, plane, axis placement, conics, and elementary
surfaces.
These entities are defined in 2d and 3d space.
All the classes of this package are non-persistent.
.

`#include <gp.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_Real | Resolution ()
| In geometric computations, defines the tolerance criterion used to determine when two numbers can be considered equal. Many class functions use this tolerance criterion, for example, to avoid division by zero in geometric computations. In the documentation, tolerance criterion is always referred to as gp::Resolution(). .
static Standard_EXPORT const gp_Pnt & | Origin ()
| Identifies a Cartesian point with coordinates X = Y = Z = 0.0.0 .
static Standard_EXPORT const gp_Dir & | DX ()
| Returns a unit vector with the combination (1,0,0) .
static Standard_EXPORT const gp_Dir & | DY ()
| Returns a unit vector with the combination (0,1,0) .
static Standard_EXPORT const gp_Dir & | DZ ()
| Returns a unit vector with the combination (0,0,1) .
static Standard_EXPORT const gp_Ax1 & | OX ()
| Identifies an axis where its origin is Origin and its unit vector coordinates X = 1.0, Y = Z = 0.0 .
static Standard_EXPORT const gp_Ax1 & | OY ()
| Identifies an axis where its origin is Origin and its unit vector coordinates Y = 1.0, X = Z = 0.0 .
static Standard_EXPORT const gp_Ax1 & | OZ ()
| Identifies an axis where its origin is Origin and its unit vector coordinates Z = 1.0, Y = X = 0.0 .
static Standard_EXPORT const gp_Ax2 & | XOY ()
| Identifies a coordinate system where its origin is Origin, and its "main Direction" and "X Direction" coordinates Z = 1.0, X = Y =0.0 and X direction coordinates X = 1.0, Y = Z = 0.0 .
static Standard_EXPORT const gp_Ax2 & | ZOX ()
| Identifies a coordinate system where its origin is Origin, and its "main Direction" and "X Direction" coordinates Y = 1.0, X = Z =0.0 and X direction coordinates Z = 1.0, X = Y = 0.0 .
static Standard_EXPORT const gp_Ax2 & | YOZ ()
| Identifies a coordinate system where its origin is Origin, and its "main Direction" and "X Direction" coordinates X = 1.0, Z = Y =0.0 and X direction coordinates Y = 1.0, X = Z = 0.0 //! In 2D space .
static Standard_EXPORT const gp_Pnt2d & | Origin2d ()
| Identifies a Cartesian point with coordinates X = Y = 0.0 .
static Standard_EXPORT const gp_Dir2d & | DX2d ()
| Returns a unit vector with the combinations (1,0) .
static Standard_EXPORT const gp_Dir2d & | DY2d ()
| Returns a unit vector with the combinations (0,1) .
static Standard_EXPORT const gp_Ax2d & | OX2d ()
| Identifies an axis where its origin is Origin2d and its unit vector coordinates are: X = 1.0, Y = 0.0 .
static Standard_EXPORT const gp_Ax2d & | OY2d ()
| Identifies an axis where its origin is Origin2d and its unit vector coordinates are Y = 1.0, X = 0.0 .

## Member Function Documentation

static Standard_EXPORT const gp_Dir& gp::DX | ( |  | ) | `[static]`

static Standard_EXPORT const gp_Dir2d& gp::DX2d | ( |  | ) | `[static]`

static Standard_EXPORT const gp_Dir& gp::DY | ( |  | ) | `[static]`

static Standard_EXPORT const gp_Dir2d& gp::DY2d | ( |  | ) | `[static]`

static Standard_EXPORT const gp_Dir& gp::DZ | ( |  | ) | `[static]`

void gp::operator delete | ( | void * | anAddress | ) | `[inline]`

void* gp::operator new | ( | size_t | size | ) | `[inline]`

void* gp::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT const gp_Pnt& gp::Origin | ( |  | ) | `[static]`

static Standard_EXPORT const gp_Pnt2d& gp::Origin2d | ( |  | ) | `[static]`

static Standard_EXPORT const gp_Ax1& gp::OX | ( |  | ) | `[static]`

static Standard_EXPORT const gp_Ax2d& gp::OX2d | ( |  | ) | `[static]`

static Standard_EXPORT const gp_Ax1& gp::OY | ( |  | ) | `[static]`

static Standard_EXPORT const gp_Ax2d& gp::OY2d | ( |  | ) | `[static]`

static Standard_EXPORT const gp_Ax1& gp::OZ | ( |  | ) | `[static]`

Standard_Real gp::Resolution | ( |  | ) | `[inline, static]`

static Standard_EXPORT const gp_Ax2& gp::XOY | ( |  | ) | `[static]`

static Standard_EXPORT const gp_Ax2& gp::YOZ | ( |  | ) | `[static]`

static Standard_EXPORT const gp_Ax2& gp::ZOX | ( |  | ) | `[static]`

The documentation for this class was generated from the following files:

- gp.hxx
- gp.lxx